Bug 11870 - Add more informations to histsearch.pl results
Summary: Add more informations to histsearch.pl results
Status: BLOCKED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11708 11844
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-28 12:48 UTC by Julian Maurice
Modified: 2018-04-18 11:39 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11870: Add more informations to histsearch.pl results (5.12 KB, patch)
2014-02-28 12:49 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2014-02-28 12:48:54 UTC
Add more informations to histsearch.pl results

- Basket group closed date and delivery place (in basketgroup column)
- Additional order fields (one column for each additional field)
Comment 1 Julian Maurice 2014-02-28 12:49:44 UTC
Created attachment 25717 [details] [review]
Bug 11870: Add more informations to histsearch.pl results

- Basket group closed date and delivery place (in basketgroup column)
- Additional order fields (one column for each additional field)

Depends on bugs 11844 and 11708
Comment 2 Julian Maurice 2014-02-28 12:56:24 UTC
Test plan:
1/ Add some additional fields (see bug 11844)
2/ Create some order lines in different baskets (filling additional fields with data)
3/ Attach some of these baskets to basketgroups
4/ Fill basketgroups deliveryplace (using free delivery place textarea or the dropdown list)
5/ Close some of these basketgroups
6/ Go to advanced order line search and run a search.
7/ You should see basketgroup closed date and delivery place in basketgroup column, and one additional column for each additional field.
Comment 3 Jonathan Druart 2015-12-23 11:07:16 UTC
Julian, there is a "searchable" flag in the additional_fields table, I think you should use it to know if we want to display fields in the search form.
Comment 4 Owen Leonard 2016-03-24 14:08:21 UTC
(In reply to Jonathan Druart from comment #3)
> Julian, there is a "searchable" flag in the additional_fields table, I think
> you should use it to know if we want to display fields in the search form.

Does this comment change whether this bug is ready for signoff?
Comment 5 Julian Maurice 2016-03-24 14:39:51 UTC
(In reply to Owen Leonard from comment #4)
> (In reply to Jonathan Druart from comment #3)
> > Julian, there is a "searchable" flag in the additional_fields table, I think
> > you should use it to know if we want to display fields in the search form.
> 
> Does this comment change whether this bug is ready for signoff?

I don't think so, as the patch only display more data in results. It doesn't change the form.
Jonathan, are you suggesting we *have to* display these searchable fields in the form ?
Comment 6 Jonathan Druart 2016-03-25 12:41:31 UTC
(In reply to Julian Maurice from comment #5)
> (In reply to Owen Leonard from comment #4)
> > (In reply to Jonathan Druart from comment #3)
> > > Julian, there is a "searchable" flag in the additional_fields table, I think
> > > you should use it to know if we want to display fields in the search form.
> > 
> > Does this comment change whether this bug is ready for signoff?
> 
> I don't think so, as the patch only display more data in results. It doesn't
> change the form.
> Jonathan, are you suggesting we *have to* display these searchable fields in
> the form ?

The current behavior (for subscriptions) is to not display fields which are not searchable.
Comment 7 Katrin Fischer 2016-03-28 22:04:59 UTC
I think I agree with Jonathan here: In order to have some consistency I'd add a searchable flag in the field configuration and use that to determine if the field shows up in the result list and if it's searchable. 
This would copy the behaviour from the additional subscription fields.
Comment 8 Fridolin SOMERS 2018-04-04 14:42:40 UTC
Needs rebase on master.
Especially method C4::Koha::GetAuthValCodeFromField has been removed by Bug 17249